#
# spec file for package spice-gtk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spice-gtk
Version:        0.31
Release:        3.2
# FIXME: /usr/bin/spice-client-glib-usb-acl-helper should be installed u+s, see bnc#744251.
Summary:        Gtk client and libraries for SPICE remote desktop servers
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/GNOME
Url:            http://spice-space.org/page/Spice-Gtk
Source:         http://spice-space.org/download/gtk/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE spice-gtk-polkit-privs.patch bnc#804184 dimstar@opensuse.org -- Set the polkit defaults to auth_admin
Patch0:         spice-gtk-polkit-privs.patch
BuildRequires:  cyrus-sasl-devel
BuildRequires:  intltool
BuildRequires:  libacl-devel
BuildRequires:  libjpeg-devel
BuildRequires:  python-pyparsing
BuildRequires:  python-six
BuildRequires:  vala
BuildRequires:  perl(Text::CSV)
BuildRequires:  pkgconfig(cairo) >= 1.2.0
BuildRequires:  pkgconfig(celt051) >= 0.5.1.1
BuildRequires:  pkgconfig(gio-2.0) >= 2.10.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.90
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gthread-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.49.91
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.9
BuildRequires:  pkgconfig(libusbredirhost) >= 0.4.2
BuildRequires:  pkgconfig(libusbredirparser-0.5) >= 0.4
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pixman-1) >= 0.17.7
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.96
BuildRequires:  pkgconfig(pygtk-2.0) >= 2.0.0
# spice-protocol is bundled, but we still need the system-wide .pc file for the pkgconfig() requires magic
BuildRequires:  pkgconfig(spice-protocol) >= 0.12.11
BuildRequires:  pkgconfig(usbutils)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(pre):  permissions

%description
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n libspice-client-glib-2_0-8
Summary:        Gtk client and libraries for SPICE remote desktop servers
Group:          System/Libraries
Requires:       libspice-client-glib-helper

%description -n libspice-client-glib-2_0-8
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n libspice-client-glib-helper
Summary:        Gtk client and libraries for SPICE remote desktop servers
Group:          System/Libraries

%description -n libspice-client-glib-helper
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows).
Contains helpers needed by the spice glib client library.

%package -n libspice-client-gtk-3_0-4
Summary:        Gtk client and libraries for SPICE remote desktop servers
Group:          System/Libraries

%description -n libspice-client-gtk-3_0-4
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n libspice-client-gtk-2_0-4
Summary:        Gtk client and libraries for SPICE remote desktop servers
Group:          System/Libraries

%description -n libspice-client-gtk-2_0-4
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows)

%package -n libspice-controller0
Summary:        Gtk client and libraries for SPICE remote desktop servers
Group:          System/Libraries

%description -n libspice-controller0
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n typelib-1_0-SpiceClientGtk-3_0
Summary:        Gtk client and libraries for SPICE remote desktop servers - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-SpiceClientGtk-3_0
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n typelib-1_0-SpiceClientGtk-2_0
Summary:        Gtk client and libraries for SPICE remote desktop servers - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-SpiceClientGtk-2_0
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows)

%package -n typelib-1_0-SpiceClientGlib-2_0
Summary:        Gtk client and libraries for SPICE remote desktop servers - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-SpiceClientGlib-2_0
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%package -n python-SpiceClientGtk
Summary:        Gtk client and libraries for SPICE remote desktop servers - python-bindings
Group:          Development/Libraries/Python
%py_requires -d

%description -n python-SpiceClientGtk
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows)

%package devel
Summary:        Devel
Group:          Development/Languages/C and C++
Requires:       libspice-client-glib-2_0-8 = %{version}
Requires:       libspice-client-gtk-2_0-4 = %{version}
Requires:       libspice-client-gtk-3_0-4 = %{version}
Requires:       libspice-controller0 = %{version}
Requires:       typelib-1_0-SpiceClientGlib-2_0 = %{version}
Requires:       typelib-1_0-SpiceClientGtk-2_0 = %{version}
Requires:       typelib-1_0-SpiceClientGtk-3_0 = %{version}

%description devel
A Gtk client and libraries for SPICE remote desktop servers, (Linux and Windows) 

%lang_package
%prep
%setup -q
%patch0 -p1
# Replace usbredirhost with usbredirhost-0.5... fail if no longer needed
grep usbredirhost-0.5 configure && false
sed -i "s:libusbredirparser:libusbredirparser-0.5:g" configure{.ac,}

%build
mkdir gtk2_build
cd gtk2_build
# %%configure badly misses a -b option to buid out of tree
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
../configure --host=%{_host} --build=%{_build} \
             --program-prefix=%{?_program_prefix} \
             --prefix=%{_prefix} \
             --exec-prefix=%{_exec_prefix} \
             --bindir=%{_bindir} \
             --sbindir=%{_sbindir} \
             --sysconfdir=%{_sysconfdir} \
             --datadir=%{_datadir} \
             --includedir=%{_includedir} \
             --libdir=%{_libdir} \
             --libexecdir=%{_libexecdir} \
             --localstatedir=%{_localstatedir} \
             --sharedstatedir=%{_sharedstatedir} \
             --mandir=%{_mandir} \
             --infodir=%{_infodir} \
             --disable-dependency-tracking \
             --disable-static \
             --with-gtk=2.0 \
             --disable-lz4 \
             --disable-silent-rules
make %{?_smp_mflags}

cd ..
%configure \
    --disable-static \
    --enable-vala \
    --disable-lz4 \
    --disable-silent-rules \
    --disable-smartcard
make %{?_smp_mflags}

%install
%make_install -C gtk2_build
%make_install 
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%post
%set_permissions %{_bindir}/spice-client-glib-usb-acl-helper

%verifyscript
%verify_permissions -e %{_bindir}/spice-client-glib-usb-acl-helper

%post -n libspice-client-glib-2_0-8 -p /sbin/ldconfig

%postun -n libspice-client-glib-2_0-8 -p /sbin/ldconfig

%post -n libspice-client-gtk-3_0-4 -p /sbin/ldconfig

%postun -n libspice-client-gtk-3_0-4 -p /sbin/ldconfig

%post -n libspice-client-gtk-2_0-4 -p /sbin/ldconfig

%postun -n libspice-client-gtk-2_0-4 -p /sbin/ldconfig

%post -n libspice-controller0 -p /sbin/ldconfig

%postun -n libspice-controller0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/spicy
%{_bindir}/spicy-screenshot
%{_bindir}/spicy-stats

%files lang -f %{name}.lang

%files -n libspice-client-glib-2_0-8
%defattr(-, root, root)
%{_libdir}/libspice-client-glib-2.0.so.*

%files -n libspice-client-glib-helper
%defattr(-, root, root)
# Remove the attr(755) once bnc#744251 has been fixed.
%attr(755,root,root) %{_bindir}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy

%files -n typelib-1_0-SpiceClientGlib-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/SpiceClientGLib-2.0.typelib

%files -n libspice-client-gtk-3_0-4
%defattr(-, root, root)
%{_libdir}/libspice-client-gtk-3.0.so.*

%files -n libspice-client-gtk-2_0-4
%defattr(-, root, root)
%{_libdir}/libspice-client-gtk-2.0.so.*

%files -n typelib-1_0-SpiceClientGtk-3_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/SpiceClientGtk-3.0.typelib

%files -n typelib-1_0-SpiceClientGtk-2_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/SpiceClientGtk-2.0.typelib

%files -n libspice-controller0
%defattr(-, root, root)
%{_libdir}/libspice-controller.so.*

%files -n python-SpiceClientGtk
%defattr(-, root, root)
%{python_sitearch}/SpiceClientGtk.so

%files devel
%defattr(-, root, root)
%{_mandir}//man1/spice-client.1%{?ext_man}
%{_includedir}/spice-client-glib-2.0/
%{_includedir}/spice-client-gtk-3.0/
%{_includedir}/spice-client-gtk-2.0/
%{_includedir}/spice-controller/
%{_libdir}/libspice-client-glib-2.0.so
%{_libdir}/libspice-client-gtk-3.0.so
%{_libdir}/libspice-client-gtk-2.0.so
%{_libdir}/libspice-controller.so
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%{_datadir}/gir-1.0/SpiceClientGtk-3.0.gir
%{_datadir}/gir-1.0/SpiceClientGtk-2.0.gir
%{_datadir}/gtk-doc/html/spice-gtk/
%{_datadir}/vala/vapi/*
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{_libdir}/pkgconfig/spice-client-gtk-2.0.pc
%{_libdir}/pkgconfig/spice-controller.pc

%changelog
* Wed Aug 31 2016 cbosdonnat@suse.com
- Move acl helper to a new libspice-client-glib-helper package and
  add a corresponding dependency (bsc#994858)
* Fri Apr 15 2016 dimstar@opensuse.org
- Update to version 0.31:
  + NOTE: this is the last release to support gtk+ 2.0.
  + Add local GL scanout support for virtio-gpu/virgl guests.
  + New file-transfer API, to be able to monitor transfers etc.
  + New spice_display_change_preferred_compression() API.
  + Better authentication error reports.
  + usbredir: drop isoc packets on low bandwidth (rh#1264156).
  + usbredir: add counter of free channels (rh#1298772).
  + Add a toplevel include header spice-client-gtk.h.
  + Grab keyboard based on session focus (rh#1275231).
  + Don't print error message on successful file transfer
    (rh#1265562).
  + Allow simultaneous support for Pulse and GStreamer audio.
  + Remove GSlice usage.
  + Some BE endianness fixes.
  + Misc leak and use after-free fixes.
  + Documentation fixes.
- Drop pkgconfig(x11) and pkgconfig(xrandr) BuildRequires: no
  longer needed.
* Tue Mar 29 2016 cbosdonnat@suse.com
- Update to version 0.30:
  + spice-protocol is no longer bundled with spice-gtk. Requires
    spice-protocol >= 0.12.10
  + Handle single headed monitors that have a non-zero x, y config
  + Various small improvements to 'spicy' test application
  + Fix build with automake < 1.13
  + various bug fixes and improvements
  + New API:
  - spice_main_update_display_enabled()
  - Add SpiceSession::preferred-compression property and
  - -spice-preferred-compression commandline switch (requires a
    yet-to-be-released version of spice server)
  + Ability to set the SpiceDisplay::keypress-delay property via a
    new SPICE_KEYPRESS_DELAY environment variable
- Add python-six BuildRequires: New dependency, that configure
  fails to look for.
- Remove upstreamed patches:
  a99ed152-no-volume-sync-without-audio.patch
* Mon Dec 14 2015 cbosdonnat@suse.com
- Fix spice_audio_get_playback_volume_info_async segfault.
  boo#958306. a99ed152-no-volume-sync-without-audio.patch
* Fri Jun  5 2015 cbosdonnat@suse.com
- Update to version 0.29:
  + sync guest audio volume with client volume
  + use stream volume for PulseAudio source
  + on Windows, fail early during initialization if the usbclerk service
    can't be reached
  + fix audio and usb managers to work with client provided fds
  + check for too long passwords, boo#931044
  + many crasher and bug fixes
- Drop now useless patches:
  + 0407ebb5-include-gtk-compat.patch
  + 214bfa5f-macro-def-fix.patch
  + 4c8ade49-leak-fix.patch
  + 9c75c7ee-keyboard-sync.patch
  + c2356a71-gtk-compat-refactoring.patch
  + d06b2567-listen-keyboard-modifier-changes.patch
* Thu Sep 25 2014 cbosdonnat@suse.com
- Keep numlock status synchronized between host and guest.
  bnc#898383
- added patches (backported from upstream):
  * 0407ebb5-include-gtk-compat.patch
  * 214bfa5f-macro-def-fix.patch
  * 4c8ade49-leak-fix.patch
  * 9c75c7ee-keyboard-sync.patch
  * c2356a71-gtk-compat-refactoring.patch
  * d06b2567-listen-keyboard-modifier-changes.patch
* Tue Sep  2 2014 cbosdonnat@suse.com
- bnc#894069: disable smart card support
* Wed Jul  2 2014 fcrozat@suse.com
- Release 0.25:
  + Fix SPICE_GTK_MICRO_VERSION define for default value
  + Make "phodav", the webdav server, an external dependency rather
  than a submodule.
- Changes from 0.24:
  + support folder sharing, via WebDAV channel
  + add HTTPS proxy support (requires glib 2.28), and Basic auth
  + add SPICE_GTK_CHECK_VERSION macro
  + advertise SASL capability early (to help fips-enabled servers)
  + fix crash when releasing primary surface
  + fix a few memory leaks with SASL
  + fix spice_display_get_pixbuf() with offset area
- Changes from 0.23:
  + support Opus codec for audio channels
  + ssl: use tls 1.0 or better
  + support gdbus instead of dbus-glib when available
- Changes from 0.22:
  + improve inverted cursor support
  + use system-wide trust certificate store
  + make sasl support work with other method than MD5
  + fix some clipboard crasher, limit clipboard size
  + fix various regressions:
    usbredir, alt-tab on win32, palette crash, agent notification,
    old protocol support, sasl ending crash, gthread coroutine
    crash, close  sockets on migration, pulse backend crash
  + fix a few memory leaks
- Add pkgconfig(libsoup-2.4) and pkgconfig(usbutils) BuildRequires.
* Fri Sep 20 2013 dimstar@opensuse.org
- Update to version 0.21:
  + Improve inverted cursor support.
  + Win32 usb redirected device uninstall fix.
  + Add support for libusb hotplug API.
  + Smartcard initialization fixes.
  + C&p converts line-endings if necessary.
  + Rendering and overall performance improvements.
  + Build and bindings fixes.
- Drop spice-gtk-mapfile.patch: fixed upstream.
* Wed Aug 14 2013 dimstar@opensuse.org
- Add spice-gtk-mapfile.patch: Add spice_channel_string_to_type to
  map files (bnc#834896).
* Sun Jun 30 2013 zaitor@opensuse.org
- Update to version 0.20:
  + Adaptive video streaming support (sync with PulseAudio
    backend only).
  + Add spice_usb_device_manager_get_devices_with_filter().
  + Add --spice-secure-channels to explicitely specify secure
    channels.
  + Multi-monitor, win32, USB redir fixes.
  + Add basic gtk+ wayland and broadway backend support.
  + Removed the GnomeRR code.
* Fri Apr 12 2013 dimstar@opensuse.org
- Update to version 0.19:
  + snappy has been renamed to spicy-screenshot.
  + Several file-xfer fixes and improvements.
  + Many win32 and USB redirection related fixes.
  + Compile and work again with RHEL6 and older glib releases.
  + misc fixes and improvements.
* Sun Mar 24 2013 dimstar@opensuse.org
- Drop pkgconfig(gstreamer-0.10) BuildRequires: the default audio
  output module is to use pulseaudio directly.
* Sun Feb 17 2013 dimstar@opensuse.org
- Update to version 0.18:
  + Build fix with Gtk+ unstable.
  + MinGW build fixes with old headers.
  + Fix USB coldplug race.
  + Bugs fxied: rh#908057.
- Changes from version 0.17:
  + Multi-monitor fixes (avoid monitor order shuffling, fix mouse
    offset if monitor 0 is not at +0+0 and let agent do monitor
    offset).
  + Add support for VD_AGENT_CAP_SPARSE_MONITORS_CONFIG.
  + Add controller & session "proxy" properties.
  + Add drag and drop file copy support to send file to guest, you
    will need capable agent to use that feature.
  + Introspection fixes.
  + Build fixes.
- Add spice-gtk-polkit-privs.patch: set more resptrictive pokit
  policies by default.
* Tue Feb  5 2013 p.drouand@gmail.com
- Update to version 0.16:
  + Fix crash with SSL connection (bgo#890464).
  + Send monitor config to the agent on
    spice_main_set_display_enabled() (bgo#881072).
  + Fix channel leak and wrong condition in spice_channel_flush().
  + Build fixes.
- Changes from version 0.15:
  + Add HTTP Proxy support (only with glib >= 2.26).
  + Add "port" channel support, to allow arbitrary communication on
    top of spice connection.
  + usb-redir: fix migration support.
  + win32: various keyboard & mouse fixes.
  + Add info message when USB dialog is empty.
  + Fix initial black screen on some 16bits guest.
  + Various bug fixes and improvements.
* Fri Dec  7 2012 dimstar@opensuse.org
- Add pkgconfig(libusbredirparser-0.5) BuildRequires, to see early
  unresolvables instread of 'late' build failures.
- Replace libusbredirparser with libusbredirparser-0.5 in
  configure{.ac,}.
* Sat Sep 22 2012 dimstar@opensuse.org
- Update to version 0.14:
  + Support for seamless migration
  + Improve scaling handling, add downscale-only property to give
    more control over scaling
  + Better handle key press/release events in high-latency
    situations, this should avoid unwanted key repetitions
  + Improve unescaping in URI parsing
  + Fix symbol versioning which was broken in 0.13
  + Fix for CVE-2012-4425
  + Various bug fixes and improvements.
* Tue Sep 11 2012 dimstar@opensuse.org
- Re-add pkgconfig(spice-protocol): as we don't install it
  ourselves, we do require spice-protocol.pc to be available in
  the build system or pkg-config --print-requires fails to traverse
  the dependency chain, failing to add any pkgconfig() requires
  to the -devel package.
* Fri Sep  7 2012 vuntz@opensuse.org
- Remove spice-protocol-devel Provides/Obsoletes from
  spice-gtk-devel: this was a mistake in the 0.12.101 tarball, and
  the real spice-protocol tarball is still wanted. See
  http://lists.freedesktop.org/archives/spice-devel/2012-August/010343.html
* Tue Sep  4 2012 dimstar@opensuse.org
- Update to version 0.13:
  + Add support for USB device redirection on Windows.
  + Add monitors config support (multiple monitors in same display)
  + Inhibit automount on GNOME desktop, to ease USB redirectio.
  + Better video support (reduce some glitches).
  + Misc migration fixes.
  + Various bug fixes and improvements.
* Tue Aug  7 2012 dimstar@opensuse.org
- Update to version 0.12.101:
  + Fix --spice-debug flag on glib >= 2.31
  + Bugs fixed: rh#818169, rh#815426, rh#820335, rh#821795,
    rh#823874, rh#835997, rh#823570, rh#822688.
- spice-protocol has been merged: Provide and obsolete
  spice-protocol-devel package.
- Drop pkgconfig(spice-protocol) BuildRequires: it has been merged
  to the spice-gtk code base.
* Wed May  2 2012 idonmez@suse.com
- Fix license to be GPL-2.0+ and LGPL-2.1+ since
  spice-client-glib-usb-acl-helper is GPL-2.0+
* Sun Apr 29 2012 dimstar@opensuse.org
- Update to version 0.12:
  + Fix memory leak when guest is resized
  + Fix color-depth setting
  + Hide/Show cursor correctly when needed
  + Fix blue-tinted video with old Spice servers
  + Correct scroll-event not received with recent Gtk+
  + Fix various migrations issues
  + Allow to disable CELT encoding at runtime with
    SPICE_DISABLE_CELT
  + Various crash fixes (on pubkey, recording, clipboard)
  + Build changes (common submodule) and fixes
* Fri Apr 27 2012 reddwarf@opensuse.org
- Build also gtk2 version (and its python bindings)
* Sun Mar 11 2012 dimstar@opensuse.org
- spice-client-glib-usb-acl-helper is here again. Besides depending
  on the right version ofpolkit, it also depends of usbredir, which
  caused it to silently disappear last time.
* Thu Mar  8 2012 dimstar@opensuse.org
- Update to version 0.11:
  - Fix semi-seamless migration regression
  - Add Spice session UUID and name support
  - Add foreign menu support to controller library
  - Add a simple controller testing tool spice-controller-dump
  - Build fixes
- Drop spice-gtk-0.9-return-nonvoid.patch: fixed upstream.
* Sat Feb 25 2012 dimstar@opensuse.org
- Update to version 0.10:
  + USB redir is now aware of host/guest side filtering
  + you can query spice_usb_device_manager_can_redirect_device()
  + fix the usbredir channel lifetime to be equal to session
    lifetime
  + set keepalive on channel socket
  + fix hangs on windows when using ssl chanels
  + add a SpiceDisplay::zoom-level to maintain a scaling ratio
  + add controller ENABLE_SMARTCARD option
  + remove a few warnings, ui improvements, build fixes
- No longer verify permissions of spice-client-glib-usb-acl-helper,
  as the file is no longer installed.
* Thu Feb  9 2012 dimstar@opensuse.org
- Update to version 0.9:
  + Add command line options for setting the cache size and the glz
    window size
  + Add a USB device selection widget to libspice-client-gtk
  + Various bug fixes and code improvements.
- Add spice-gtk-0.9-return-nonvoid.patch: Return a value in a
  non-void declared function.
* Sun Feb  5 2012 dimstar@opensuse.org
- Don't install /usr/bin/spice-client-glib-usb-acl-helper with suid
  bit set until bnc#744251 has gotten the full treatment. This
  kills functionality for USB passthrough.
* Tue Jan 31 2012 dimstar@opensuse.org
- Update to version 0.8:
  + add USB redirection support
  + introduce SpiceGtkSession to deal with session-wide Gtk events,
    such as clipboard, instead of doing it per display
  + many cursor and keyboard handling improvements
  + handle the new "semi-seamless" migration
  + support new Spice mini-headers
  + better coroutines: fibers on windows & jmp on linux
  + add Vala vapi bindings generation
  + many bug fixes and code improvements
* Thu Nov 24 2011 dimstar@opensuse.org
- Initial package, version 0.7.159
